import React from 'react';
import { DoifColorType, DoifSizeType, DoifVariantType } from '../../styles/themes/DoifThemeProps';
export interface ButtonPrpos extends React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement> {
    /** 버튼 내용 */
    children: React.ReactNode;
    /** 버튼을 비활성화 시킵니다. */
    disabled: boolean;
    /** 버튼의 색상을 정합니다. */
    color: DoifColorType;
    /** 버튼의 모양을 정합니다. */
    variant: DoifVariantType;
    /** 버튼의 크기를 정합니다. */
    size: DoifSizeType;
    /** 버튼의 `width`를 정합니다. */
    width: string | number;
    /** 버튼에서 아이콘만 보여줄 때는 이 값을 `true`로 설정하세요  */
    iconOnly: boolean;
}
declare const _default: React.MemoExoticComponent<{
    ({ children, disabled, color, variant, size, width, iconOnly, ...props }: ButtonPrpos): JSX.Element;
    /** Button 컴포넌트의 Default Props */
    defaultProps: {
        disabled: boolean;
        color: string;
        variant: string;
        size: string;
        width: string;
        iconOnly: boolean;
    };
}>;
export default _default;
