import React from 'react';
import { DoifColorType } from '../../styles/themes/DoifThemeProps';
import { DoifDataProps } from '../../props/DoifCommonProps';
import { IconType } from '../icon/Icon';
export interface CheckProps {
    /** 보여줄 체크박스의 배열입니다. { code: string, name: string} */
    data: Array<DoifDataProps>;
    /** 선택할 체크박스 code의 배열입니다. */
    values: string[];
    /** 체크박스의 name 속성입니다. */
    name: string;
    /** 체크박스의 색상을 정합니다. */
    color: DoifColorType;
    /** 체크박스를 비활성화 시킵니다. */
    disabled: boolean;
    /** 체크박스의 icon를 정합니다. */
    icon: IconType;
    /** validation 메세지 */
    validation?: string;
    /** 체크박스를 변경했을 때 실행되는 콜백함수입니다. */
    onChange?: (e: React.ChangeEvent<HTMLInputElement>) => void;
}
declare const _default: React.MemoExoticComponent<{
    ({ data, values, name, color, disabled, icon, validation, onChange, }: CheckProps): JSX.Element;
    defaultProps: {
        color: string;
        disabled: boolean;
        icon: string;
    };
}>;
export default _default;
