import React, { SyntheticEvent } from 'react';
import { ReactDatePickerProps } from 'react-datepicker';
import 'react-datepicker/dist/react-datepicker.min.css';
import { DoifColorType } from '../../styles/themes/DoifThemeProps';
export interface DatepickerProps extends ReactDatePickerProps {
    /** datepicker의 넓이를 설정합니다. */
    width: number | string;
    /** datepicker의 색상을 설정합니다. */
    color: DoifColorType;
    /** validation 메세지 */
    validation?: string;
    /**
     * onChange 함수의 첫번째 parameter는 `Date` 형식
     * */
    onChange: (date: Date | null, event: SyntheticEvent<any> | undefined, name?: string) => void;
}
declare const _default: React.MemoExoticComponent<{
    (props: DatepickerProps): JSX.Element;
    defaultProps: {
        width: string;
        color: string;
    };
}>;
export default _default;
