import React from 'react';
import { DoifColorType } from '../../styles/themes/DoifThemeProps';
export interface DialogProps {
    /** `true`: 화면에 나타남, `false`: 화면에서 사라짐 */
    visible: boolean;
    /** `Dialog` 컴포넌트 상단에 표시되는 글자 */
    title?: string;
    /** `Dialog` 컴포넌트 유형  `undefined`가 아니면 icon과 버튼이 나옴 */
    type?: 'success' | 'warning' | 'error' | 'info';
    /** `Dialog` 컴포넌트의 z-index 속성 */
    zIndex: number;
    /** `Dialog` 컴포넌트에 넣을 커스텀한 ReactNode */
    children?: React.ReactNode;
    /** `Dialog` 컴포넌트의 색상을 정함 */
    color: DoifColorType;
    /** 확인/취소 여부를 묻는 confrim 창 여부, `true`: confrim창 `false`: Alert창  `true`면 취소버튼이 나옴 */
    isConfirm: boolean;
    /** 확인 버튼 텍스트명 */
    confirmText: string;
    /** 취소 버튼 텍스명 */
    cancelText: string;
    /** 확인 버튼 클릭 시 실행할 콜백함수 */
    onConfirm?: (e: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
    /** 취소 버튼 클릭 시 실행할 콜백함수 */
    onCancel?: (e: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
}
declare const _default: React.MemoExoticComponent<{
    ({ visible, title, type, zIndex, children, color, isConfirm, confirmText, cancelText, onConfirm, onCancel, }: DialogProps): JSX.Element | null;
    defaultProps: {
        zIndex: number;
        color: string;
        isConfirm: boolean;
        confirmText: string;
        cancelText: string;
    };
}>;
export default _default;
