import React, { RefObject } from 'react';
import { DoifColorType } from '../../styles/themes/DoifThemeProps';
interface HeaderProps {
    /** 색상을 설정합니다. */
    color: DoifColorType;
    /** 화면 왼쪽에서 얼만큼 띄울 것인가를 설정합니다. */
    left: string;
    /** 프로필 이름입니다. */
    profileName: string;
    /** default 프로필 사진입니다. */
    defaultProfilePicture: React.DetailedHTMLProps<React.ImgHTMLAttributes<HTMLImageElement>, HTMLImageElement>;
    /** 프로필 사진입니다. */
    profilePicture?: React.DetailedHTMLProps<React.ImgHTMLAttributes<HTMLImageElement>, HTMLImageElement>;
    /** 메뉴버튼을 숨깁니다. */
    hideMenuButton: boolean;
    /** 검색창을 숨깁니다. */
    hideSearch: boolean;
    /** 셋팅버튼을 숨깁니다. */
    hideSetting: boolean;
    /** 검색창에 검색했을 때 결과를 렌더링합니다. */
    searchField: React.ReactNode;
    /** 검색창 필드를 보이게 합니다. */
    visibleSearchField: boolean;
    /** 검색창 필드의 Ref 입니다. */
    searchFieldRef: RefObject<HTMLDivElement>;
    /** 프로필을 클릭했을 때 결과를 프로필 필드에 렌더링합니다. */
    profileField: React.ReactNode;
    /** 프로필 필드를 보이게 합니다. */
    visibleProfileField: boolean;
    /** 프로필 필드의 Ref 입니다. */
    profileFieldRef: RefObject<HTMLDivElement>;
    /** 셋팅을 클릭했을 때 결과를 셋팅 필드에 렌더링합니다. */
    settingField: React.ReactNode;
    /** 셋팅 필드를 보이게 합니다. */
    visibleSettingField: boolean;
    /** 셋팅 필드의 Ref 입니다. */
    settingFieldRef: RefObject<HTMLDivElement>;
    /** 메뉴버튼을 클릭했을 때 실행될 콜백함수 입니다. */
    onClickMenuButton?: (event: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
    /** 검색창에 입력할 때 실행될 콜백함수 입니다. */
    onInputSearch?: (event: React.FormEvent<HTMLInputElement>) => void;
    /** 프로필을 클릭했을 때 실행될 콜백함수 입니다. */
    onClickProfile?: (event: React.MouseEvent<HTMLDivElement, MouseEvent>) => void;
    /** 셋팅버튼을 클릭했을 때 실행될 콜백함수 입니다. */
    onClickSetting?: (event: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
}
declare const _default: React.MemoExoticComponent<{
    ({ color, left, profileName, defaultProfilePicture, profilePicture, hideMenuButton, hideSearch, hideSetting, searchField, visibleSearchField, searchFieldRef, profileField, visibleProfileField, profileFieldRef, settingField, visibleSettingField, settingFieldRef, onClickMenuButton, onInputSearch, onClickProfile, onClickSetting, }: HeaderProps): JSX.Element;
    defaultProps: {
        color: string;
        left: string;
        hideMenuButton: boolean;
        hideSearch: boolean;
        hideSetting: boolean;
    };
}>;
export default _default;
