import React from 'react';
import { DoifColorType } from '../../styles/themes/DoifThemeProps';
export interface InputProps extends React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement> {
    /** input의 모양을 설정합니다. */
    variant: 'outline' | 'underline';
    /** input의 색을 정합니다. */
    color: DoifColorType;
    /** input의 넓이를 설정합니다. */
    width: string | number;
    /** input을 비활성화 시킵니다. */
    disabled: boolean;
    /** placeholder를 설정합니다. */
    placeholder?: string;
    /** input 앞쪽에 icon을 넣습니다. */
    frontIcon?: React.ReactNode;
    /** input 뒤쪽에 icon을 넣습니다. */
    backIcon?: React.ReactNode;
    /** validation 메세지 */
    validation?: string;
}
declare const _default: React.MemoExoticComponent<{
    ({ variant, color, placeholder, width, disabled, frontIcon, backIcon, validation, ...props }: InputProps): JSX.Element;
    /** Input 컴포넌트의 Default Props */
    defaultProps: {
        variant: string;
        color: string;
        width: string;
        disabled: boolean;
    };
}>;
export default _default;
